Where communities thrive


  • Join over 1.5M+ people
  • Join over 100K+ communities
  • Free without limits
  • Create your own community
People
Repo info
Activity
  • Jun 28 2019 06:54
    reversi-fun opened #32
  • Dec 17 2018 06:40

    takaokouji on master

    ruby 2.3.5 on TravisCI. fixed smalruby3-gui link (http … (compare)

  • Nov 24 2018 04:57

    takaokouji on master

    removed secure. (compare)

  • Nov 24 2018 04:22

    takaokouji on master

    updated some links. (compare)

  • Oct 29 2018 13:26

    takaokouji on master

    0.0.18 (compare)

  • Oct 29 2018 13:26

    takaokouji on v0.0.17

    (compare)

  • Oct 29 2018 13:25

    takaokouji on master

    defined DXRuby namespace. (compare)

  • Jul 19 2018 07:41

    takaokouji on shimane_fujitsu_h29

    アイコンの背景を透明にした (compare)

  • Jan 17 2018 03:22
    sada opened #31
  • Dec 23 2017 16:00
    bonochof edited #30
  • Dec 23 2017 15:35
    bonochof opened #30
  • Dec 14 2017 03:26

    takaokouji on gh-pages

    fixed. (compare)

  • Dec 14 2017 03:20

    takaokouji on gh-pages

    hide download link because I do… (compare)

  • Dec 14 2017 02:52

    takaokouji on master

    Revert "Set theme jekyll-theme-… (compare)

  • Dec 14 2017 02:39

    takaokouji on gh-pages

    remove gemnasium link. (compare)

  • Dec 14 2017 02:34

    takaokouji on gh-pages

    start. (compare)

  • Dec 14 2017 01:18

    takaokouji on gh-pages

    Revert "test commit." This rev… (compare)

  • Dec 14 2017 01:17

    takaokouji on gh-pages

    test commit. (compare)

  • Dec 14 2017 01:16

    takaokouji on gh-pages

    add Ume-font. Set theme jekyll-theme-cayman remove all. (compare)

  • Dec 14 2017 01:04

    takaokouji on gh-pages

    (compare)

Kouji Takao
@takaokouji
勉強になりますm( )m
これまでの経験では、グラフィックボードのドライバーに問題があると動作しないことがありました。お手数ですがグラフィックボードのドライバーが最新のものであるかどうか、ご確認いただけないでしょうか?
Kouji Takao
@takaokouji
インターネットで「directx graphics 初期化に失敗」を調べると、ビデオボードのメモリが不足している可能性がある、という記事もありました。現在動作しているマシンのdxdiag のディスプレイタブにビデオボードのメモリが表示されるようです。でもなんとなく、原因ではない気がしますね。
仮想マシンがビデオボードのメモリを使いすぎているとか?(^^;; なさそうですね...
megane1600
@megane1600
こんにちは。GWに子供用にMacBook (Yosemite)にsmalrubyインストールしました。少しつまずいた点もあったので、ブログに簡単に書きました。何か誤った点や最新の情報等ありましたら、ご指摘いただければ幸いです。http://mikotolv5.hatenablog.com/entry/2015/05/05/223329
Kouji Takao
@takaokouji
@megane1600 反応がおそくなりましたが、ブログの記事にしていただき、とてもうれしいです!こちらこそ、スモウルビーのことでなにか問題があれば、気軽にこちらにコメントいただければ幸いです。
Kouji Takao
@takaokouji
先ほど、スモウルビーの最新版 0.3.0 をリリースしました。Windowsのインストーラはこちら https://github.com/smalruby/smalruby-installer-for-windows/releases/tag/v0.3.0 から取得できます。いつものようにダウンロードした圧縮ファイルを展開するときに、必ず C:\ などのパス名が短いものを指定するように気をつけてください!
MacやLinuxをお使いの方は、 gem install smalruby-editor でアップデートできます!
今回のリリースから、ログイン後のメニューに「設定」が追加されています。設定を変更することで、スモウルボットを操作するためのブロックが表示されたり、スモウルボットの操作に特化したジャンルのみにすることもできます。
Kiyohide
@Kiyohide
キャプチャ.PNG
Kouji Takao
@takaokouji
おっと、エラーがでていますね。dxrubyのエラーなので以前ご報告いただいたものと同じですかね...

以前はエラーの一部を画面に表示できない問題があったのですが、今回は修正しました。その結果、画面には表示されるようになった...といったところでしょうか。解決はしていなくてなんなのですが (^^;;

なお、私の周りの環境ではWindows 7でも、Windows 8.1 updateでも問題なく動作しています。よろしければ、OS、マシンのメーカー、型番を教えていただけないでしょうか。

Kiyohide
@Kiyohide
まだ、詳しく見ていませんがエラーがでました。
解凍して実行しただけですが。
Win7とWin8どちらも同じ結果でした。
dxruby.soが見つからないようなエラーのような・・・
前回のsmalrubyのバージョンは実行できます。
Kouji Takao
@takaokouji
ダウンロードしたファイルの展開先は、Cドライブ直下でしょうかね?展開先が間違ってしまうと、ファイルが無くなることがあるようです。
Kouji Takao
@takaokouji
以前と同じ作業になってしまって恐縮ですが、 run-smalruby.bat と同じフォルダにある cmd.bat を実行するとコマンドプロンプトが起動しますので、「ruby 適当なプログラム名.rb」を実行して、詳細なエラーを取得してもらえないでしょうか?
Kouji Takao
@takaokouji
これはインストーラのミスでした。申し訳ないです。修正した版をリリースして対応します。
Kouji Takao
@takaokouji
昨日リリースした版に、プログラムを実行できない不具合がありましたので、新しい版をリリースしました。
どうぞこちらをご利用くださいm( )m
Kiyohide
@Kiyohide
WindowsでsmalRubyが実行時にエラーになる件
1台は解決しました。
Windows Update でオプションをインストールすると
実行できるようになりました。
ただ、どのオプションかは見てなかったなぁ~申し訳ないです。
DXRubyを実行するためのグラフィック機能が古かったようです。
他の実行できないPCがありますが
これはまだ解決していません。
継続して調べます。
Kouji Takao
@takaokouji
@Kiyohide さん、情報ありがとうございます!
Kouji Takao
@takaokouji
@kawasakikou smalruby/dxruby_sdl#6 をマージしました!ありがとうございました :bow:
kawasakikou
@kawasakikou
@takaokouji マージありがとうございますm( )m
fishowl
@fishowl
初めまして
smalrubyをraspberry piにインストールする件、何度やっても先に進みません。
エラーが出る画面を載せます。
image.png
image.png
Kouji Takao
@takaokouji
@fishowl お問い合わせありがとうございます。
https://docs.google.com/document/d/1USIWn9YUdRqiquAgOXx_tkWhrZA48brqxZ-HmVFX_Kg/edit を元に作業していただいていますでしょうかね。もしそうであれば、1枚目の画像をみると、利用するrubyのバージョンが正しくないようです。
作業時間はかかりますが、 手順書に従って rbenv というソフトウェアをインストールしていただく必要があります。
$ git clone https://github.com/sstephenson/rbenv.git ~/.rbenv
$ echo 'export PATH="$HOME/.rbenv/bin:$PATH"' >> ~/.bashrc
$ echo 'eval "$(rbenv init -)"' >> ~/.bashrc

$ sudo shutdown -r now
※ここでRaspberryPiを再起動

$ rbenv rehash
$ git clone https://github.com/sstephenson/ruby-build.git ~/.rbenv/plugins/ruby-build

インストール可能なRubyのバージョンを調べる
$ rbenv install --list
Smalrubyが絶対動作する?と思われるバージョンを選択
$ rbenv install 2.0.0-p353
→本家・高尾さんによると、2.1.2もOK (2.0以上。2.2.2もOK)
  このRubyインストールに2時間超かかる…

インストールされたバージョンの確認
$ rbenv versions 
* system (set by /home/pi/.rbenv/version)
  2.0.0-p353

$ rbenv global 2.0.0-p353
→インストールしたバージョンを指定すること。

$ gem install rubygems-update rbenv-rehash bundler
→ここでRasberryPiを再起動

$ update_rubygems
$ gem update
→rakeとrdocの上書きは「N」にする

$ rbenv rehash
Kouji Takao
@takaokouji

また、2枚目の画像では、$ gem install smalruby smalruby-editor とすべきところが、 sumalruby-editorというように、smのあいだに不要なuが入っているようです。
Raspberry Piへのスモウルビーのインストールは、rubyをつかったことがあるソフトウェア開発者以外の方にはハードルが高いのは重々承知しておりますが、まだ、そこまで手が付けられておりません...

もし、お近く(島根県松江市周辺)にお住まいであれば、私の使っている Rapsberry PiのSDカードの内容をまるごとコピーすることもできるのですが...

image.png
image.png
Kouji Takao
@takaokouji
画面を見ると、関連するプログラムの問題かもしれません。
ちょっと解決するのが難しそうです。
gem install therubyracer -v '0.10.1'
上のコマンドを実行してから、smalruby-editorをインストールしてもらえますかね。
上のコマンドは、 cowboyd/therubyracer#257 に書いてありました。
fishowl
@fishowl
image.png
therubyracerをインストールして、smalruby-editorのみをインストールしてみます。
fishowl
@fishowl
therubyracer自体がインストールできず、Failed to build gem native extension.とでます。
Kouji Takao
@takaokouji
困りましたね。
cowboyd/therubyracer#293 には、
gem install therubyracer -v '0.12'
とありました。
試していただけますかね。
fishowl
@fishowl
試しましたが、2時間くらいかかり、0.10.1と同じ結果でした。
fishowl
@fishowl
高尾さん,佐々木さんから連絡があったと思いますが,raspberry pi B+が原因だということが分かりました。いろいろとありがとうございます。
makoto yonezawa
@vestige__twitter
はじめまして、よねざわです。
少し前にsmalrubyに挑戦して、挫折してたのですが、ラズパイでできる話をきいて、チャレンジしてみましたが、インストールはうまくいったのですがいざsmalruby-editorでブロック図をかいて実行してみましたがエラーになりました。
詳細なエラーとかはどこかに出力されてるんでしょうか?
opt-link
@opt-link
野口@リバティです。
プログラムのアップロード機能を作成しているのですが、ラズパイに有線接続でブラウザを起動してみたところ外部にアクセスできませんでした。ドライバなど必要なんでしたっけ?
あまりこことは関係ないかもしれませんが・・・
opt-link
@opt-link
あ、ごめんなさい
LANが内部で切れていたようです。。。